package net.drewke.tdme.math;

/**
 * Additional mathematical functions
 * @author Andreas Drewke
 * @version $Id: bf1b1bda678b6fe92ca16729fc84ba39b877cd77 $
 */
public class MathTools {

	public static final float EPSILON = 0.00001f;

	/**
	 * Clamps a float value to min or max value
	 * @param value
	 * @param min value
	 * @param max value
	 * @return clamped value
	 */
	public static float clamp(float value, float min, float max) {
		if (value < min) return min;
		if (value > max) return max;
		return value;
	}

}
