// based on http://fabiensanglard.net/shadowmapping/index.php, modified by me

varying vec4 shadowCoord;

uniform mat4 depthBiasMVPMatrix;
uniform mat4 objectToScreenMatrix;

void main() {
	shadowCoord = depthBiasMVPMatrix * vec4(vec3(gl_Vertex), 1.0);
	shadowCoord = shadowCoord / shadowCoord.w;

	// compute gl position
	gl_Position = objectToScreenMatrix * vec4(vec3(gl_Vertex), 1.0);
}
