#version 330

uniform sampler2D diffuseTextureUnit;
uniform int diffuseTextureAvailable;

in vec2 fragTextureUV;
in vec4 fragColor;
out vec4 outColor;

void main (void) {
	if (diffuseTextureAvailable == 1) {
		outColor = texture(diffuseTextureUnit, fragTextureUV) * fragColor;
	} else {
		outColor = fragColor;
	}
}
