package net.drewke.tdme.engine;

/**
 * Object 3d group renderer
 * @author Andreas Drewke
 * @version $Id: ccf1466b113230bf253bd6c842b77d1b5ac9956d $
 */
public interface Object3DGroupRenderer {

	/**
	 * Renders the object 3d group
	 * @param gl
	 */
	public void render();

	/**
	 * Disposes the object 3d group
	 * @param gl
	 */
	public void dispose();

}
